FreeBSD kernel denial of service

freebsd-kernel-dos (16100) The risk level is classified as MediumMedium Risk

Description:

FreeBSD is vulnerable to a denial of service attack. By copying vm_exitingcnt to the new vmspace in the vmspace_exec function, a local attacker could cause the system to panic or crash.


Consequences:

Denial of Service

Remedy:

For FreeBSD 5.x:
Upgrade to the latest version of FreeBSD, as listed in BugTraq Mailing List posting dated Wed May 05 2004 - 11:56:36 CDT. See References.

References:

Platforms Affected:

  • FreeBSD FreeBSD 4.0
  • FreeBSD FreeBSD 4.1
  • FreeBSD FreeBSD 4.1.1
  • FreeBSD FreeBSD 4.2
  • FreeBSD FreeBSD 4.3
  • FreeBSD FreeBSD 4.4
  • FreeBSD FreeBSD 4.5
  • FreeBSD FreeBSD 4.6
  • FreeBSD FreeBSD 4.6.2
  • FreeBSD FreeBSD 4.7
  • FreeBSD FreeBSD 4.8
  • FreeBSD FreeBSD 4.9
  • FreeBSD FreeBSD 5.0

Reported:

May 07, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page